<template>
    <div>
        <highcharts :options="options"></highcharts>
    </div>
</template>

<script>
import {Chart} from 'highcharts-vue'

export default {
    name: "reactor-material-chart-component",
    components: {
        highcharts: Chart
    },
    data: function () {
        return {
            options: {
                chart: {
                    type: 'column',
                    height: 290
                },
                credits: false,
                title: {
                    text: 'Material Breakdown'
                },
                xAxis: {
                    categories: ['12 AM', '1 AM', '2 AM', '3 AM', '4 AM', '5 AM', '6 AM', '7 AM', '8 AM', '9 AM', '10 AM', '11 AM'],
                },
                yAxis: [{
                    max: 100,
                    tickInterval: 10,
                    min: 0,
                    alignTicks: false,
                    title: {
                        text: 'Load cell (kg)',
                        align: 'high',
                        y: -14,
                        x: -10,
                        offset: -40,
                        rotation: 0
                    },
                    stackLabels: {
                        enabled: true,
                        style: {
                            fontWeight: 'bold',
                        }
                    },
                    opposite: false
                }, {
                    max: 12,
                    tickInterval: 1,
                    alignTicks: false,
                    title: {
                        text: 'pH',
                        align: 'high',
                        y: -10,
                        offset: 15,
                        rotation: 0
                    },
                    opposite: true
                }, {
                    max: 12,
                    tickInterval: 1,
                    alignTicks: false,
                    title: {
                        text: 'Inverter (Hz)',
                        align: 'high',
                        y: -24,
                        x: 10,
                        offset: -40,
                        rotation: 0
                    },
                    opposite: true
                }],
                legend: {
                    align: 'right',
                    x: -30,
                    verticalAlign: 'bottom',
                    y: 15,
                    backgroundColor: 'white',
                    borderColor: '#CCC',
                    borderWidth: 1,
                    shadow: false
                },
                tooltip: {
                    headerFormat: '<b>{point.x}</b><br/>',
                    pointFormat: '{series.name}: {point.y}<br/>Total: {point.stackTotal}'
                },
                plotOptions: {
                    column: {
                        stacking: 'normal',
                    },
                    line: {
                        marker: {
                            enabled: false
                        }
                    }
                },
                series: [{
                    type: 'column',
                    name: 'Formid acid',
                    color: '#CDDC39',
                    data: [20, 20, 20, 20, 20, 0, 0, 0, 0, 0, 0]
                }, {
                    type: 'column',
                    name: 'Water',
                    color: '#2096F3',
                    data: [20, 20, 20, 20, 20, 0, 0, 0, 0, 0, 0]
                }, {
                    type: 'column',
                    name: 'Teric acid',
                    color: '#673AB7',
                    data: [20, 20, 20, 20, 20, 0, 0, 0, 0, 0, 0]
                }, {
                    type: 'column',
                    name: 'Latex',
                    color: '#8B572A',
                    data: [20, 20, 20, 20, 20, 0, 0, 0, 0, 0, 0]
                }, {
                    type: 'column',
                    name: 'Ammonia',
                    color: '#417505',
                    data: [0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0]
                }, {
                    type: 'column',
                    name: 'Peroxide',
                    color: '#B8E986',
                    data: [0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0]
                }, {
                    type: 'line',
                    name: 'Temperature',
                    color: '#D0021B',
                    data: [2, 4, 6, 10, 7, 0, 0, 0, 0, 0, 0],
                    yAxis: 1,
                }, {
                    type: 'line',
                    name: 'Inverter Speed',
                    color: '#417505',
                    data: [5, 2, 4, 5, 2, 1, 0, 0, 0, 0, 0],
                    yAxis: 2,
                }]
            }
        }
    }
}
</script>
